#ifndef __CYTON_DATA_PKG_H
#define __CYTON_DATA_PKG_H	 

#include "sys.h"
#include "myQueue.h"

#define CYTON_DATA_PKG_CHANNEL8       (8)
#define CYTON_DATA_PKG_CHANNEL16      (16)
#define CYTON_DATA_PKG_CHANNEL24      (24)


void Cyton_DataPkg_ClearSampNum();
int Cyton_DataFormat2Package(uint8_t *pszData, uint32_t pszDataChannel[], uint8_t aucChannelCnt);
int Cyton_GetDataPkg_Len();
 				    
#endif
